/*
 * Class EXECUTION_ENVIRONMENT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_617 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_617 [] = {0xFF01,1551,616,0xFFFF};
static const EIF_TYPE_INDEX egt_2_617 [] = {0xFF01,616,0xFFFF};
static const EIF_TYPE_INDEX egt_3_617 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_617 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_617 [] = {0xFF01,616,0xFFFF};
static const EIF_TYPE_INDEX egt_6_617 [] = {0xFF01,616,0xFFFF};
static const EIF_TYPE_INDEX egt_7_617 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_617 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_617 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_617 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_617 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_617 [] = {0xFF01,616,0xFFFF};
static const EIF_TYPE_INDEX egt_13_617 [] = {0xFF01,579,0xFFFF};
static const EIF_TYPE_INDEX egt_14_617 [] = {0xFF01,577,0xFFFF};
static const EIF_TYPE_INDEX egt_15_617 [] = {0xFF01,839,0xFFFF};
static const EIF_TYPE_INDEX egt_16_617 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_17_617 [] = {0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_18_617 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_19_617 [] = {0xFF01,1600,0xFF01,914,0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_20_617 [] = {0xFF01,1600,0xFF01,924,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_21_617 [] = {0xFF01,1600,0xFF01,618,0xFF01,923,0xFFFF};
static const EIF_TYPE_INDEX egt_22_617 [] = {0xFFF9,2,840,0xFF01,924,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_23_617 [] = {0xFF01,620,0xFFFF};


static const struct desc_info desc_617[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_617), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_617), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_617), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_617), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_617), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_617), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_617), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_617), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_617), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_617), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_617), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_617), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04D1 /*616*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_617), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06B9 /*860*/), 14924, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_617), 14945, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_617), 14946, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_617), 14947, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_617), 14948, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_617), 14949, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 14950, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0739 /*924*/), 14951, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x068F /*839*/), 14952, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x068F /*839*/), 14953, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 14954, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 14955, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_617), 14956, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_617), 14957, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_617), 14958, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14925, 0},
	{EIF_GENERIC(NULL), 14926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14931, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_617), 14932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 14933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_617), 14934, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_617), 14935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 14937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14941, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14944, 0xFFFFFFFF},
};
void Init617(void)
{
	IDSC(desc_617, 0, 616);
	IDSC(desc_617 + 1, 1, 616);
	IDSC(desc_617 + 32, 1607, 616);
	IDSC(desc_617 + 34, 912, 616);
}


#ifdef __cplusplus
}
#endif
